<?php
function PageMain() {
	global $TMPL;
	$resultSettings = mysql_fetch_row(mysql_query(getSettings($querySettings)));
	
	// Put the "a" into a template as default option when user doesn't select the search type 
	$TMPL['search'] = $_GET['a'];
	$TMPL['query'] = $_GET['q'];
	
	$query = urlencode($_GET['q']);
	
	// User Preferences
	$options = array(// Strict, Moderate, Off
					'Adult'		=> $_COOKIE['adult'],  
					
					// EnableHighlighting, empty
					'Options'	=> $_COOKIE['highlight']
					);
	// News Query Options
	if($_GET['e'] == 'business') {
		$extra = '&News.Category=rt_Business';
	} elseif ($_GET['e'] == 'entertainment') {
		$extra = '&News.Category=rt_Entertainment ';
	} elseif ($_GET['e'] == 'health') {
		$extra = '&News.Category=rt_Health';
	} elseif ($_GET['e'] == 'politics') {
		$extra = '&News.Category=rt_rt_Politics';
	} elseif ($_GET['e'] == 'sports') {
		$extra = '&News.Category=rt_Sports';
	} elseif ($_GET['e'] == 'us') {
		$extra = '&News.Category=rt_US';
	} elseif ($_GET['e'] == 'world') {
		$extra = '&News.Category=rt_World';
	} elseif ($_GET['e'] == 'science') {
		$extra = '&News.Category=rt_ScienceAndTechnology';
	} elseif($_GET['e'] == 'date') {
		$extra = '&News.SortBy=Date';
	} elseif($_GET['e'] == 'relevance') {
		$extra = '&News.SortBy=Relevance';
	}
					
	// Query bing, get the content & decode the json	
	$page = $_GET['page'];
	if(!isset($page) || empty($page) || $page < 0) {
		$page = 0;
	} elseif($page > 1000) {
		$page = 1000;
	}
	$per_page = 10;
	
	$request = 'https://api.datamarket.azure.com/Bing/Search/News?$format=json&Query=%27'.str_replace(' ', '%20', $query).'%27&Adult='.urlencode('\''.$_COOKIE['adult'].'\'').'&$top='.$per_page.'&$skip='.$page.$filterActive;
	
	$context = stream_context_create(array(
		'http' => array(
	//  'proxy' => 'tcp://127.0.0.1:8888',
	//  'request_fulluri' => true,
		'header'  => "Authorization: Basic " . base64_encode($resultSettings[2] . ":" . $resultSettings[2])
		)
	));
		
	$response = file_get_contents($request, 0, $context);
	$jsonobj = json_decode($response);
	
	// If _GET['e'] is set, then mention it on the search page
	if(!empty($_GET['e'])) {
		$extraMsg = ' using filter <strong>'.$_GET['e'].'</strong>.';
		$extraurl = '&e='.$_GET['e'];
	}

	// The results number with the page specified
	if(!isset($page) || $page == 0 || $page < 0) {
		$TMPL['resNumber'] = 'Показаны новости по запросу <strong>"'.$query.'"</strong>'.$extraMsg;
	} else {
		$TMPL['resNumber'] = 'Показаны новости по запросу <strong>"'.$query.'"</strong> (Страница '.ceil(($page+10)/10).')'.$extraMsg;
	}
	
	$TMPL_old = $TMPL; $TMPL = array();
	
	// Start the Results template
	$skin = new skin('news/rows'); $all = '';

	foreach($jsonobj->d->results as $value) {
		$title = '<a href="'.$value->Url.'" target="'.$_COOKIE['link'].'">'.$value->Title.'</a><br />'; 
		$TMPL['title'] = highlightKeyword($title);
		$TMPL['url'] = highlightKeyword($value->Source);
		$TMPL['desc'] = highlightKeyword($value->Description);
		$TMPL['date'] = str_replace(array('T', 'Z'), array(' ',''), $value->Date);
		
		// More from...
		$find   = 'site:';
		$more = strpos($_GET['q'], $find);
		if($more === false) {
			$hostUrl = parse_url($value->Url);
			$TMPL['more'] = '<a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.' site:'.$hostUrl['host'].'">more from '.$hostUrl['host'].'</a>';
		}
		$all .= $skin->make();
	}
	
	// Start the pagination template
	$skin = new skin('shared/pagination'); $pagination = '';
	
	// First
	if($page == 0) {
		$TMPL['first'] = '<div class="first_i"></div>';
	} else {
		$TMPL['first'] = '<div class="first_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page=0'.$extraurl.'"><div class="btn"></div></a></div>';
	}
	
	// Prev
	if($page < 10) {
		$TMPL['prev'] = '<div class="prev_i"></div>';
	} else {
		$TMPL['prev'] = '<div class="prev_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page='.($page-10).$extraurl.'"><div class="btn"></div></a></div>';
	}
	
	// Next
	$TMPL['next'] = '<div class="next_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page='.($page+10).$extraurl.'"><div class="btn"></div></a></div>';
	
	$pagination .= $skin->make();
	
	$skin = new skin('news/sidebar'); $sidebar = '';
	$TMPL['url'] = $resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page=0&e=';
	$sidebar .= $skin->make();
	
	$TMPL = $TMPL_old; unset($TMPL_old);
	$TMPL['url'] = $resultSettings[1];
	$TMPL['rows'] = $all;
	$TMPL['title'] = $_GET['q'].' - '.$resultSettings[0];
	$TMPL['pagination'] = $pagination;
	$TMPL['sidebar'] = $sidebar;
	
	$TMPL['results'] = 'results_web';

	$skin = new skin('shared/content');
	return $skin->make();
}
?>