<?php
function PageMain() {
	global $TMPL;
	$resultSettings = mysql_fetch_row(mysql_query(getSettings($querySettings)));
	
	// Put the "a" into a template as default option when user doesn't select the search type 
	$TMPL['search'] = $_GET['a'];
	$TMPL['query'] = $_GET['q'];
	
	$query = urlencode($_GET['q']);
	if(empty($_GET['q'])) {
		header('Location: '.$resultSettings[1].'/');
	}
	
	// User Preferences
	$options = array(// Strict, Moderate, Off
					'Adult'		=> $_COOKIE['adult'],  
					
					// EnableHighlighting, empty
					'Options'	=> $_COOKIE['highlight']
					);
	// Video Query Options
	if($_GET['e'] == 'short') {
		$extra = 'Duration:Short';
	} elseif ($_GET['e'] == 'average') {
		$extra = 'Duration:Medium';
	} elseif ($_GET['e'] == 'long') {
		$extra = 'Duration:Long';
	} elseif ($_GET['e'] == 'standard') {
		$extra = 'Aspect:Standard';
	} elseif ($_GET['e'] == 'widescreen') {
		$extra = 'Aspect:Widescreen';
	} elseif ($_GET['e'] == 'low') {
		$extra = 'Resolution:Low';
	} elseif ($_GET['e'] == 'medium') {
		$extra = 'Resolution:Medium';
	} elseif ($_GET['e'] == 'high') {
		$extra = 'Resolution:High';
	}
	
	// Query bing, get the content & decode the json	
	$page = $_GET['page'];
	if(!isset($page) || empty($page) || $page < 0) {
		$page = 0;
	} elseif($page > 1000) {
		$page = 1000;
	}
	$per_page = 30;
	
	$request = 'https://api.datamarket.azure.com/Bing/Search/Video?$format=json&Query=%27'.str_replace(' ', '%20', $query).'%27&Adult='.urlencode('\''.$_COOKIE['adult'].'\'').'&$top='.$per_page.'&$skip='.$page.$filterActive;
	
	$context = stream_context_create(array(
		'http' => array(
	//  'proxy' => 'tcp://127.0.0.1:8888',
	//  'request_fulluri' => true,
		'header'  => "Authorization: Basic " . base64_encode($resultSettings[2] . ":" . $resultSettings[2])
		)
	));
		
	$response = file_get_contents($request, 0, $context);
	$jsonobj = json_decode($response);
	
	// If _GET['e'] is set, then mention it on the search page
	if(!empty($_GET['e'])) {
		$extraMsg = ' using filter <strong>'.$_GET['e'].'</strong>.';
		$extraurl = '&e='.$_GET['e'];
	}

	// The results number with the page specified
	if(!isset($page) || $page == 0 || $page < 0) {
		$TMPL['resNumber'] = 'Showing results for <strong>'.$query.'</strong>'.$extraMsg;
	} else {
		$TMPL['resNumber'] = 'Showing results for <strong>'.$query.'</strong> (Page '.ceil(($page+30)/30).')'.$extraMsg;
	}
	
	$TMPL_old = $TMPL; $TMPL = array();
	
	// Start the Results template
	$skin = new skin('videos/rows'); $all = '';

	foreach($jsonobj->d->results as $value) {
		$title = '<a href="'.$value->Title.'" target="'.$_COOKIE['link'].'">'.$value->Title.'</a><br />'; 
		$TMPL['title'] = highlightKeyword($title);
		$TMPL['detalis'] = gmdate("H:i:s", $value->RunTime / 1000).' &bull; '.fsize($value->Thumbnail->FileSize);
		$TMPL['thumbnail'] = '<a href="'.$value->MediaUrl.'" target="'.$_COOKIE['link'].'"><div style="background: url('.$value->Thumbnail->MediaUrl.') no-repeat; background-size: 160px 145px; width: 160px; height: 145px; margin: 2px;" class="img_title" title="'.$value->Title.'"><div class="video_play"></div></div></a>';
		
		// More from...
		$find   = 'site:';
		$more = strpos($_GET['q'], $find);
		if($more === false) {
			$hostUrl = parse_url($value->MediaUrl);
			$TMPL['more'] = '<a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.' site:'.$hostUrl['host'].'">more from '.$hostUrl['host'].'</a>';
		}
		$all .= $skin->make();
	}
	
	// Start the pagination template
	$skin = new skin('shared/pagination'); $pagination = '';
	
	// First
	if($page == 0) {
		$TMPL['first'] = '<div class="first_i"></div>';
	} else {
		$TMPL['first'] = '<div class="first_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page=0'.$extraurl.'"><div class="btn"></div></a></div>';
	}
	
	// Prev
	if($page < 30) {
		$TMPL['prev'] = '<div class="prev_i"></div>';
	} else {
		$TMPL['prev'] = '<div class="prev_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page='.($page-30).$extraurl.'"><div class="btn"></div></a></div>';
	}
	
	// Next
	$TMPL['next'] = '<div class="next_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page='.($page+30).$extraurl.'"><div class="btn"></div></a></div>';
	
	$pagination .= $skin->make();
	
	$skin = new skin('videos/sidebar'); $sidebar = '';
	$TMPL['url'] = $resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page=0&e=';
	$sidebar .= $skin->make();
	
	$TMPL = $TMPL_old; unset($TMPL_old);
	$TMPL['url'] = $resultSettings[1];
	$TMPL['rows'] = $all;
	$TMPL['title'] = $_GET['q'].' - '.$resultSettings[0];
	$TMPL['pagination'] = $pagination;
	$TMPL['sidebar'] = $sidebar;

	$TMPL['results'] = 'results_img';

	$skin = new skin('shared/content');
	return $skin->make();
}
?>