<?php
function PageMain() {
	global $TMPL;
	$resultSettings = mysql_fetch_row(mysql_query(getSettings($querySettings)));
	
	// Put the "a" into a template as default option when user doesn't select the search type 
	$TMPL['search'] = $_GET['a'];
	$TMPL['query'] = $_GET['q'];
	
	$query = urlencode($_GET['q']);
	if(empty($_GET['q'])) {
		header('Location: '.$resultSettings[1].'/');
	}
	
	// User Preferences
	$options = array(// Strict, Moderate, Off
					'Adult'		=> $_COOKIE['adult'],  
					
					// EnableHighlighting, empty
					'Options'	=> $_COOKIE['highlight']
					);
	// Image Query Options http://msdn.microsoft.com/en-us/library/dd560913
	if($_GET['e'] == 'small') {
		$extra = 'Size:small';
	} elseif ($_GET['e'] == 'medium') {
		$extra = 'Size:medium';
	} elseif ($_GET['e'] == 'large') {
		$extra = 'Size:large';
	} elseif ($_GET['e'] == 'square') {
		$extra = 'Aspect:Square';
	} elseif ($_GET['e'] == 'wide') {
		$extra = 'Aspect:Wide';
	} elseif ($_GET['e'] == 'tall') {
		$extra = 'Aspect:Tall';
	} elseif ($_GET['e'] == 'color') {
		$extra = 'Color:Color';
	} elseif ($_GET['e'] == 'monochrome') {
		$extra = 'Color:Monochrome';
	} elseif ($_GET['e'] == 'photo') {
		$extra = 'Style:Photo';
	} elseif ($_GET['e'] == 'graphics') {
		$extra = 'Style:Graphics';
	} elseif ($_GET['e'] == 'face') {
		$extra = 'Face:Face';
	} elseif ($_GET['e'] == 'portrait') {
		$extra = 'Face:Portrait';
	} elseif ($_GET['e'] == 'other') {
		$extra = 'Face:Other';
	}
	if(isset($_GET['e'])) { // If extra filter is set
		$filterActive = '&ImageFilters='.urlencode('\''.$extra.'\'');
	}
	// Query bing, get the content & decode the json	
	$page = $_GET['page'];
	if(!isset($page) || empty($page) || $page < 0) {
		$page = 0;
	} elseif($page > 1000) {
		$page = 1000;
	}
	$per_page = 30;
	
	$request = 'https://api.datamarket.azure.com/Bing/Search/Image?$format=json&Query=%27'.str_replace(' ', '%20', $query).'%27&Adult='.urlencode('\''.$_COOKIE['adult'].'\'').'&$top='.$per_page.'&$skip='.$page.$filterActive;
	
	$context = stream_context_create(array(
		'http' => array(
	//  'proxy' => 'tcp://127.0.0.1:8888',
	//  'request_fulluri' => true,
		'header'  => "Authorization: Basic " . base64_encode($resultSettings[2] . ":" . $resultSettings[2])
		)
	));
		
	$response = file_get_contents($request, 0, $context);
	$jsonobj = json_decode($response);
	
	// If _GET['e'] is set, then mention it on the search page
	if(!empty($_GET['e'])) {
		$extraMsg = ' using filter <strong>'.$_GET['e'].'</strong>.';
		$extraurl = '&e='.$_GET['e'];
	}

	// The results number with the page specified
	if(!isset($page) || $page == 0 || $page < 0) {
		$TMPL['resNumber'] = 'Showing results for <strong>'.$query.'</strong>'.$extraMsg;
	} else {
		$TMPL['resNumber'] = 'Showing results for <strong>'.$query.'</strong> (Page '.ceil(($page+30)/30).')'.$extraMsg;
	}
	
	$TMPL_old = $TMPL; $TMPL = array();
	
	// Start the Results template
	$skin = new skin('images/rows'); $all = '';

	foreach($jsonobj->d->results as $value) {
		$title = '<a href="'.$value->SourceUrl.'" target="'.$_COOKIE['link'].'">'.$value->Title.'</a><br />'; 
		$TMPL['title'] = highlightKeyword($title);
		$TMPL['url'] = '<a href="'.$value->SourceUrl.'" target="'.$_COOKIE['link'].'">image source link</a>';
		$TMPL['detalis'] = $value->Width.' x '.$value->Height.' &bull; '.fsize($value->FileSize);
		$TMPL['thumbnail'] = '<a href="'.$value->MediaUrl.'" target="'.$_COOKIE['link'].'"><img src="'.$value->Thumbnail->MediaUrl.'" class="img_title" title="'.$value->Title.'" width="160" height="145" /></a>';
		
		// More from...
		$find   = 'site:';
		$more = strpos($_GET['q'], $find);
		if($more === false) {
			$hostUrl = parse_url($value->SourceUrl);
			$TMPL['more'] = '<a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.' site:'.$hostUrl['host'].'">more from '.$hostUrl['host'].'</a>';
		}
		$all .= $skin->make();
	}
	
	// Start the pagination template
	$skin = new skin('shared/pagination'); $pagination = '';
	
	// First
	if($page == 0) {
		$TMPL['first'] = '<div class="first_i"></div>';
	} else {
		$TMPL['first'] = '<div class="first_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page=0'.$extraurl.'"><div class="btn"></div></a></div>';
	}
	
	// Prev
	if($page < 30) {
		$TMPL['prev'] = '<div class="prev_i"></div>';
	} else {
		$TMPL['prev'] = '<div class="prev_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page='.($page-30).$extraurl.'"><div class="btn"></div></a></div>';
	}
	
	// Next
	$TMPL['next'] = '<div class="next_a"><a href="'.$resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page='.($page+30).$extraurl.'"><div class="btn"></div></a></div>';
	
	$pagination .= $skin->make();
	
	$skin = new skin('images/sidebar'); $sidebar = '';
	$TMPL['url'] = $resultSettings[1].'/?a='.$_GET['a'].'&q='.$query.'&page=0&e=';
	$sidebar .= $skin->make();
	
	$TMPL = $TMPL_old; unset($TMPL_old);
	$TMPL['url'] = $resultSettings[1];
	$TMPL['rows'] = $all;
	$TMPL['title'] = $_GET['q'].' - '.$resultSettings[0];
	$TMPL['pagination'] = $pagination;
	$TMPL['sidebar'] = $sidebar;

	$TMPL['results'] = 'results_img';

	$skin = new skin('shared/content');
	return $skin->make();
}
?>